//****************************************************************************
//                    Copyright (C) 1992-1995 EuroSource AB
//
// FILE:         vb1.h
//   
// PURPOSE:      Header file for CHECKBOX subclass EuroCtrl project for
//				 Visual Basic 1.0 support
//   
// COMMENTS:     
//   
// HISTORY:      950116AH Prehistory
//   
//****************************************************************************                    

#ifndef RC_INVOKED


PPROPINFO proplistCheck_Vb1[] =
{
    PPROPINFO_STD_CTLNAME,
    PPROPINFO_STD_INDEX,
    PPROPINFO_STD_PARENT,
    PPROPINFO_STD_BACKCOLOR,
    PPROPINFO_STD_LEFT,
    PPROPINFO_STD_TOP,
    PPROPINFO_STD_WIDTH,
    PPROPINFO_STD_HEIGHT,
    PPROPINFO_STD_ENABLED,
    PPROPINFO_STD_VISIBLE,
    PPROPINFO_STD_MOUSEPOINTER,
    PPROPINFO_STD_CAPTION,
    PPROPINFO_STD_FONTNAME,
    PPROPINFO_STD_FONTSIZE,
    PPROPINFO_STD_FONTBOLD,
    PPROPINFO_STD_FONTITALIC,
    PPROPINFO_STD_FONTSTRIKE,
    PPROPINFO_STD_FONTUNDER,
    PPROPINFO_STD_DRAGMODE,
    PPROPINFO_STD_DRAGICON,
    PPROPINFO_STD_TABINDEX,
    PPROPINFO_STD_TABSTOP,
    PPROPINFO_STD_TAG,
    &propinfoCheckStyle,
    &propinfoCheckFont3D,
    &propinfoCheckDark3DColor,
    &propinfoCheckLight3DColor,
    PPROPINFO_STD_FORECOLOR,
    &propinfoCheckToggleStatus,
    &propinfoCheckPictureUp,
    &propinfoCheckPictureDown,
    &propinfoCheckFocusRectOn,
    &propinfoCheckAlign,
    &propinfoCheckMarkFG,
    &propinfoCheckMarkBG,
    &propinfoCheckTextBorder,
    &propinfoCheckTextBorderAlign,
    &Property_Check_About,
    &propinfoCheckhWnd,
    &propinfoCheckPictureDisabled,
    NULL
};


//---------------------------------------------------------------------------
// Event list
//---------------------------------------------------------------------------

PEVENTINFO eventlistCheck_Vb1[] =
{
    PEVENTINFO_STD_CLICK,
    PEVENTINFO_STD_DBLCLICK,
    PEVENTINFO_STD_DRAGDROP,
    PEVENTINFO_STD_DRAGOVER,
    PEVENTINFO_STD_GOTFOCUS,
    PEVENTINFO_STD_KEYDOWN,
    PEVENTINFO_STD_KEYPRESS,
    PEVENTINFO_STD_KEYUP,
    PEVENTINFO_STD_LOSTFOCUS,
    NULL
};


//---------------------------------------------------------------------------
// Model struct
//---------------------------------------------------------------------------
// Define the control model (using the event and property structures).
//---------------------------------------------------------------------------
MODEL modelCheck_Vb1 =
{
    VB100_VERSION,                 // VB version being used
    MODEL_fDesInteract | MODEL_fFocusOk | MODEL_fMnemonic, // MODEL flags
    (PCTLPROC)CheckCtlProc,     // Control procedure
    CS_VREDRAW | CS_HREDRAW,    // Class style
    BS_AUTOCHECKBOX | BS_OWNERDRAW,  // Default Window style
    sizeof(CHECK),              // cbCtlExtra for CHECK structure
    IDBMP_CHECK,                // Palette bitmap ID
    "EsCheck",		       		// Default control name
    "EsCheck",		       		// Visual Basic class name
    "Button",                   // Parent class name
    proplistCheck_Vb1,          // Properties list
    eventlistCheck_Vb1,         // Events list
	IPROP_CHECK_CAPTION,		// Default property
	EVENT_CHECK_CLICK,			// Default event
}; 
   
LPMODEL modellistCheck_Vb1[] =
    {
    &modelCheck_Vb1,
    NULL
    };

MODELINFO modelinfoCheck_Vb1 =
    {
    VB100_VERSION, 			// VB version being used
    modellistCheck_Vb1			// MODEL list
    };


#endif  // RC_INVOKED

//---------------------------------------------------------------------------
